%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname AbracadabraObject
%define productver  2.0.1

Name:               zope-%{productname}
Summary:            A Zope product: Abracadabra Object - pre-configured objects with only one click 
Version:            %{productver} 
Release:            2ied01
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://zope.de/AbracadabraObject/
Source:             http://mjablonski.zope.de/AbracadabraObject/releases/%{productname}-%{productver}.tar.gz
Patch0:		    %{productname}-2.0.1-exteditor.patch
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch:          noarch


#----------------------------------------------------------------------
%description
The "Abracadabra Object"-Product allows you to add pre-configured ZOPE-objects to your folders through the Zope-Management-Interface with only one click and run scripts on them. This is extremely useful if you use the Zope-Management-Interface as a content-management-system or to build a graphical user interface (GUI) for developing / prototyping database applications with Zope. Please note: Download and install the PropertyObject and PropertyFolder. AbracadabraObject, PropertyObject and PropertyFolder allow you to develop comfortable database applications in just a few minutes.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n %{productname}
%patch0

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt version.txt
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

%postun
if [ $1 = 0 ]; then
   %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Fri Feb 20 2004 Wei He <hewei@ied.org.cn> 2.0.1-2ied01
- Patched to be compatiable with ExternalEditor

* Mon Feb 16 2004 Wei He <hewei@ied.org.cn> 2.0.1-0ied00
- Initial release
